Bug Hunting Session
Bug 96333 - Menus open in the wrong place with RTL interface under gtk3
Summary: Menus open in the wrong place with RTL interface under gtk3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords: bibisected, regression
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2015-12-08 10:37 UTC by Maxim Monastirsky
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2015-12-08 10:37:10 UTC
Running recent master with SAL_RTL_ENABLED=1 and gtk3 vclplug makes the main menus and some toolbar dropdowns to open in the wrong place.

bisect range is:

http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=8ac2b6d077f4e7b1c5a010c2960fb08c0132da5f...30d73431ee51ca2ebcca9029bf0af4a0c4dc565c
Comment 1 Robinson Tryon (qubit) 2015-12-13 10:30:15 UTC Comment hidden (obsolete)
Comment 2 Yotam Benshalom 2016-02-17 23:49:25 UTC
I confirm this bug. Not only main menus are affected but also pop-up menus and combo boxes.
Also, the buttons of the combo boxes are drawn at the opposite side of the box, which is very ugly.

This means that gtk3 libreoffice is unusable for anyone with RTL system interface.
Comment 3 Commit Notification 2016-02-18 17:23:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7a292ce490eeb8ff02e145e0a55f41f4c179541

gtk3: Resolves: tdf#96333 fix RTL menu positioning

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-02-18 19:30:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1ee822b76cf58c93299e901224d6d6a7eae322a&h=libreoffice-5-1

gtk3: Resolves: tdf#96333 fix RTL menu positioning

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.